generator:
  class: sfDoctrineGenerator
  param:
    model_class:           BasketOrder
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          basket_order
    with_doctrine_route:   true
    actions_base_class:    sfActions
    order: 5
    hr: true

    config:
      actions: ~
      fields:
        id: {label: '№ заказа'}
        username: {label: 'Имя'}
        phone: {label: 'Телефон'}
        email: {label: 'Эл. почта'}
        delivery_price: {label: 'Цена доставки'}
        delivery_type: {label: 'Вид доставки'}
        delivery_address: {label: 'Адрес доставки'}
        comment: {label: 'Пожелание к заказу'}
        payment_type: {label: 'Тип оплаты'}
        total_sum: {label: 'Сумма'}
        is_confirm: {label: 'Подтверждён'}
        is_confirm_admin: {label: 'Подтверждение администратором'}
        is_payed: {label: 'Оплачен'}
        is_given: {label: 'Отгружен'}
        created_at: {label: 'Дата'}
        updated_at: {label: 'Дата обновления'}
      list:
        layout: ~
        title: 'Заказы'
        display: [id, username, phone, delivery_type, is_confirm, is_payed, is_given, created_at]
        max_per_page: 100
        sort: [created_at, DESC]
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: [username, phone]
        export: false
      filter:
        display: [delivery_type]
      form: ~
      edit:
        title: Редактирование заказа
      new:
        title: Добавление заказа